{
  "name": "@jupyterlab/coreutils",
  "version": "6.0.11",
  "description": "JupyterLab - Core Utilities",
  "homepage": "https://github.com/jupyterlab/jupyterlab",
  "bugs": {
    "url": "https://github.com/jupyterlab/jupyterlab/issues"
  },
  "repository": {
    "type": "git",
    "url": "https://github.com/jupyterlab/jupyterlab.git"
  },
  "license": "BSD-3-Clause",
  "author": "Project Jupyter",
  "sideEffects": false,
  "main": "lib/index.js",
  "browser": {
    "path": "path-browserify"
  },
  "types": "lib/index.d.ts",
  "directories": {
    "lib": "lib/"
  },
  "files": [
    "lib/*.d.ts",
    "lib/*.js.map",
    "lib/*.js",
    "lib/*.json",
    "src/**/*.{ts,tsx}"
  ],
  "scripts": {
    "build": "tsc -b",
    "build:test": "tsc --build tsconfig.test.json",
    "clean": "rimraf lib && rimraf tsconfig.tsbuildinfo",
    "docs": "typedoc src",
    "test": "jest",
    "test:cov": "jest --collect-coverage",
    "test:debug": "node --inspect-brk ../../node_modules/.bin/jest --runInBand",
    "test:debug:watch": "node --inspect-brk ../../node_modules/.bin/jest --runInBand --watch",
    "watch": "tsc -b --watch"
  },
  "dependencies": {
    "@lumino/coreutils": "^2.1.2",
    "@lumino/disposable": "^2.1.2",
    "@lumino/signaling": "^2.1.2",
    "minimist": "~1.2.0",
    "path-browserify": "^1.0.0",
    "url-parse": "~1.5.4"
  },
  "devDependencies": {
    "@babel/core": "^7.10.2",
    "@babel/preset-env": "^7.10.2",
    "@types/jest": "^29.2.0",
    "@types/minimist": "^1.2.0",
    "@types/url-parse": "^1.4.3",
    "jest": "^29.2.0",
    "jest-environment-jsdom": "^29.3.0",
    "jest-junit": "^15.0.0",
    "rimraf": "~3.0.0",
    "ts-jest": "^29.1.0",
    "typedoc": "~0.24.7",
    "typescript": "~5.0.4"
  },
  "publishConfig": {
    "access": "public"
  },
  "jupyterlab": {
    "coreDependency": true
  }
}
